Name:           python-estnltk-core
Version:        1.7.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        EstNLTK core - basic data structures and components of the EstNLTK library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/estnltk/estnltk
Source:         %{pypi_source estnltk_core}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'estnltk-core' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-estnltk-core
Summary:        %{summary}

%description -n python3-estnltk-core %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-estnltk-core tests


%prep
%autosetup -p1 -n estnltk_core-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-estnltk-core -f %{pyproject_files}


%changelog
%autochangelog